Download it now!
Bug 117858 - FILESAVE: "Export as EPUB" rotated or scaled images shown in original state (see comment 22)
Summary: FILESAVE: "Export as EPUB" rotated or scaled images shown in original state (...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EPUB-Export
  Show dependency treegraph
 
Reported: 2018-05-28 16:13 UTC by Pete
Modified: 2019-02-09 20:56 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
odt file with two pictures included (94.34 KB, application/vnd.oasis.opendocument.text)
2018-06-04 15:29 UTC, Pete
Details
Converted epub file (2.79 KB, application/epub+zip)
2018-06-04 15:33 UTC, Pete
Details
png file, screen capture (357.74 KB, image/png)
2018-06-04 16:22 UTC, Pete
Details
EPUB export with LO 6.1.0.0.beta1+ (74.56 KB, application/epub+zip)
2018-06-04 19:31 UTC, Jean-Baptiste Faure
Details
odt file with pictures, original size and scaled on (423.99 KB, application/vnd.oasis.opendocument.text)
2018-06-04 20:08 UTC, Pete
Details
epub with scaled and original size picture (353.39 KB, application/epub+zip)
2018-06-04 20:12 UTC, Pete
Details
v6.1 odt (93.90 KB, application/vnd.oasis.opendocument.text)
2018-06-21 14:21 UTC, Pete
Details
v6.1 epub (73.82 KB, application/epub+zip)
2018-06-21 14:22 UTC, Pete
Details
Screencapture of the odt file (268.49 KB, image/jpeg)
2018-06-22 06:31 UTC, Pete
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pete 2018-05-28 16:13:18 UTC
Description:
* Writer version 6.0.4.2 (and previous 6.0.3)
* Picture file type or size does not affect.
* Platform: Windows 10 Pro

Steps to Reproduce:
1. Make a document where is a picture embedded.
2. Select File - Export - Export as EPUB
3. Open epub file: no picture included.

Actual Results:  
Text in epub file is exported ok, but the picture is missing.

Expected Results:
Expected to see the picture included.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Versio: 6.0.4.2 (x64)
Käännöksen ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU-säikeet: 4; Käyttöjärjestelmä: Windows 10.0; Piirtokomponentti: GL; 
Maa-asetus: fi-FI (fi_FI); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 Dieter 2018-05-28 16:21:45 UTC
I tried to export attachment 142344 [details]. Result: The rotated image is missing in the epub file.

Version: 6.1.0.0.beta1 (x64)
Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: de-DE (de_DE); Calc: CL

Pete, do you have a normal image or a rotated one?
Comment 2 Jean-Baptiste Faure 2018-06-03 20:13:26 UTC
EPUB export is a work in progress. Please try LibreOffice 6.1.0.0.beta1
https://www.libreoffice.org/download/pre-releases/

Best regards. JBF
Comment 3 Dieter 2018-06-03 20:27:56 UTC
(In reply to Jean-Baptiste Faure from comment #2)
> EPUB export is a work in progress. Please try LibreOffice 6.1.0.0.beta1

I used LO 6.1 (see in comment 1). So I don't understand your comment. If it is really a work-in-progress feature, I would expect it only in experimental mode.
Comment 4 raal 2018-06-03 21:35:18 UTC
fixed in bug 115722

@Pete,
Please send us a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO', so please do change it back to 'UNCONFIRMED' once you have attached a document.
(Please note that the attachment will be public, remove any sensitive information before attaching it.)
How can I eliminate confidential data from a sample document?
https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F
Thank you
Comment 5 Dieter 2018-06-04 13:39:36 UTC
(In reply to raal from comment #4)

> fixed in bug 115722

Bug 115722 is about images in general. My observation was, that EPUB-Export of rotated images fails.


> Please send us a sample document, as this makes it easier for us to verify
> the bug.

Please use attachment 142344 [details] from comment 1.
Comment 6 Pete 2018-06-04 15:29:06 UTC
Created attachment 142521 [details]
odt file with two pictures included

Couldn't attach another file (converted epub).
Comment 7 Pete 2018-06-04 15:31:58 UTC
Tested with
LibreOffice 6.1.0 Beta1
Comment 8 Pete 2018-06-04 15:33:20 UTC
Created attachment 142522 [details]
Converted epub file
Comment 9 Dieter 2018-06-04 15:38:47 UTC
Pete, I couldn't reproduce it with attachment 142521 [details]
Comment 10 Pete 2018-06-04 16:22:31 UTC
Created attachment 142523 [details]
png file, screen capture

I tested again as standard user, the same result: no pictures.

Usually I am logged in as standard user. Now I started Writer as admin and used the same odt test file. Still missing pictures. As admin I had UI language English (USA), so Finnish cannot be the reason either.

Sorry, but I have no clue what can be wrong. :(
Comment 11 Jean-Baptiste Faure 2018-06-04 19:31:39 UTC
Created attachment 142524 [details]
EPUB export with LO 6.1.0.0.beta1+

(In reply to Pete from comment #7)
> Tested with
> LibreOffice 6.1.0 Beta1

Really? Your test file suggests you used LibreOffice 6.0.4.

Here is my EPUB export done with LO 6.1.0.0.beta1+ built at home under Ubuntu 16.04 x86-64

Best regards. JBF
Comment 12 Jean-Baptiste Faure 2018-06-04 19:42:33 UTC
(In reply to Dieter Praas from comment #5)
> (In reply to raal from comment #4)
> 
> > fixed in bug 115722
> 
> Bug 115722 is about images in general. My observation was, that EPUB-Export
> of rotated images fails.

Indeed, but the description of this bug report is about images in general.
That said I confirm that, in the case of rotated images, rotated images are missing in the generated EPUB file by LibreOffice 6.1.0.0.beta1+ while "normal" images are there.

CCing Miklos Vajna who is developing EPUB export.

Best regards. JBF
Comment 13 Pete 2018-06-04 20:08:28 UTC
Created attachment 142526 [details]
odt file with pictures, original size and scaled on

I'll upload the epub file in the next comment.
Comment 14 Pete 2018-06-04 20:12:15 UTC
Created attachment 142527 [details]
epub with scaled and original size picture

My previous comments vanished... 

Anyway, I didn't noticed that dev version of LibreOffice did not replaced the original produstion version but existed beside it. So, I launched the wrong Writer when I tested it previously.

Sorry...!
Comment 15 Pete 2018-06-04 20:14:36 UTC
Scaling of the picture in the original odt file does not affect to the picture saved in epub file.

Should it affect?
Comment 16 Dieter 2018-06-05 09:22:30 UTC
(In reply to Jean-Baptiste Faure from comment #12)

> 
> Indeed, but the description of this bug report is about images in general.
> That said I confirm that, in the case of rotated images, rotated images are
> missing in the generated EPUB file by LibreOffice 6.1.0.0.beta1+ while
> "normal" images are there.
> 
> CCing Miklos Vajna who is developing EPUB export.
> 
> Best regards. JBF

It wasn't clear to me, if the initial bug report is about rotated images or not (see my question in comment 1). So if you can reproduce the bug for rotated images I see two possibilities:
a) change the bug description to: "EPUB Export: Rotated images become invisible" and set the status to NEW
b) open a new bug for that issue
Comment 17 Buovjaga 2018-06-20 18:52:01 UTC
(In reply to Dieter Praas from comment #16)
> It wasn't clear to me, if the initial bug report is about rotated images or
> not (see my question in comment 1). So if you can reproduce the bug for
> rotated images I see two possibilities:
> a) change the bug description to: "EPUB Export: Rotated images become
> invisible" and set the status to NEW
> b) open a new bug for that issue

Pete: we need action on this.
Comment 18 Pete 2018-06-20 19:17:35 UTC
(In reply to Buovjaga from comment #17)
> (In reply to Dieter Praas from comment #16)
> > It wasn't clear to me, if the initial bug report is about rotated images or
> > not (see my question in comment 1). So if you can reproduce the bug for
> > rotated images I see two possibilities:
> > a) change the bug description to: "EPUB Export: Rotated images become
> > invisible" and set the status to NEW
> > b) open a new bug for that issue
> 
> Pete: we need action on this.

I guess you are asking reply from Jean-Baptiste Faure about rotated images?

I was just wondering, why scaled images does not keep their print size. But I can manage without that.
Comment 19 Dieter 2018-06-20 19:28:57 UTC
(In reply to Pete from comment #18)
> I guess you are asking reply from Jean-Baptiste Faure about rotated images?
> 
> I was just wondering, why scaled images does not keep their print size. But
> I can manage without that.

No Pete, it was about your original bug report. You wrote, that pictures are not included in the EPUB-File. So the simple question is: If you export a document with a rotated picture and a unrotated picture - What is your result (using LO 6.1)?
Comment 20 Pete 2018-06-21 14:21:19 UTC
Created attachment 143000 [details]
v6.1 odt

ODT doc, first scaled, second rotated
Comment 21 Pete 2018-06-21 14:22:17 UTC
Created attachment 143001 [details]
v6.1 epub

Exported epub
Comment 22 Buovjaga 2018-06-21 15:57:28 UTC
(In reply to Pete from comment #20)
> Created attachment 143000 [details]
> v6.1 odt
> 
> ODT doc, first scaled, second rotated

Images are present, but not scaled or rotated, changing summary.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 0929a98acca8ec4d86caa97d3090a39f89f35f90
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 20th 2018
Comment 23 Pete 2018-06-22 06:31:36 UTC
Created attachment 143024 [details]
Screencapture of the odt file

In the odt file there are the same picture which is in its basic position and then  first one is scaled and the second one is rotated.

See the screen capture.

In the epub file scaling and rotating does not apply any more.
Comment 24 Cor Nouws 2019-02-09 20:56:52 UTC
(In reply to Buovjaga from comment #22)

> Images are present, but not scaled or rotated, changing summary.
> 
> Arch Linux 64-bit
> Version: 6.2.0.0.alpha0+

Scaled for me in 6.3 master, both in Reflowable and Fixed layout.
Rotated only in Fixed layout..

In Version: 6.3.0.0.alpha0+
Build ID: b45289e48e0f354b9996e2846dd041db4a9947ce
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-08_12:51:03
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded